=== debian/changelog ===
ros-kinetic-ackermann-steering-controller (0.13.6-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 12 Jan 2020 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.13.5-1xenial) xenial; urgency=high

  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Mori
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Mori

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 09 Feb 2019 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.13.4-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 25 Jun 2018 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.13.3-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 26 Apr 2018 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.13.2-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 23 Dec 2017 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.13.1-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 06 Nov 2017 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.13.0-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 09 Aug 2017 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.12.3-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 22 Apr 2017 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.12.2-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 20 Apr 2017 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.12.1-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 08 Mar 2017 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.12.0-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 15 Feb 2017 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.11.2-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 15 Aug 2016 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.11.1-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 22 May 2016 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.11.0-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 02 May 2016 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.10.0-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 20 Nov 2015 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.9.2-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 03 May 2015 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.9.1-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 03 Nov 2014 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.9.0-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 31 Oct 2014 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.8.1-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 10 Jul 2014 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.8.0-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 11 May 2014 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.7.2-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 31 Mar 2014 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.7.1-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 30 Mar 2014 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.6.0-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 05 Feb 2014 00:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.5.4-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 29 Sep 2013 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.5.3-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 03 Sep 2013 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.5.2-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 05 Aug 2013 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.5.1-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 18 Jul 2013 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.5.0-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 15 Jul 2013 23:00:00 -0000

ros-kinetic-ackermann-steering-controller (0.4.0-1xenial) xenial; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 25 Jun 2013 23:00:00 -0000
